﻿@model VirtualCarGarage.MVC.Models.ChangePassViewModel
@{
    ViewData["Title"] = "Change password";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<div class="container mt-3">
    <div class="text-center">
        <h1 class="text-dark font-weight-bolder">@ViewData["Title"]</h1>
        <form asp-action="ChangePass">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="UserId" />
            <div class="form-group">
                <label asp-for="@Model.NewPassword"></label>
                <input asp-for="@Model.NewPassword" class="form-control text-center" />
                <span asp-validation-for="@Model.NewPassword" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="@Model.ConfirmPassword"></label>
                <input asp-for="@Model.ConfirmPassword" class="form-control text-center" />
                <span asp-validation-for="@Model.ConfirmPassword" class="text-danger"></span>
            </div>
            <br />
            <button type="submit" class="btn btn-primary" style="background-color:greenyellow">Update password</button>
        </form>
        <br />
        <div class="form-group">
            <a asp-controller="Users" asp-action="Profile" class="btn btn-primary">Back</a>
        </div>
    </div>
</div>
@*<h4>@ViewData["Title"]</h4>
    <div id="page" class="container" style="border:dashed">
    <div class="row">
        <div class="col-md-6">
            <form asp-action="ChangePass">
                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <input type="hidden" asp-for="UserId" />
                    <div class="form-group">
                        <label asp-for="@Model.NewPassword"></label>
                        <input asp-for="@Model.NewPassword" class="form-control text-center" />
                        <span asp-validation-for="@Model.NewPassword" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="@Model.ConfirmPassword"></label>
                        <input asp-for="@Model.ConfirmPassword" class="form-control text-center" />
                        <span asp-validation-for="@Model.ConfirmPassword" class="text-danger"></span>
                    </div>
                    <button type="submit" class="btn btn-primary">Update password</button>
            </form>
        </div>
    </div>
    </div>*@

@section Scripts {
    <partial name="_ValidationScriptsPartial" />
}
